aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-06-01 17:59:33 -0300
committerSilvio Rhatto <rhatto@riseup.net>2013-06-01 17:59:33 -0300
commitaac9ed023d7ca852f9339e3a143b1b40b3045961 (patch)
treef06e6a1e8b5cb1ef827c1b3d6fc496bb007ad8e9
parente0db44e7878715f054af351772ec2d309f8c8eb0 (diff)
downloadscripts-aac9ed023d7ca852f9339e3a143b1b40b3045961.tar.gz
scripts-aac9ed023d7ca852f9339e3a143b1b40b3045961.tar.bz2
Changing symlink scheme of the shell wrapper
l---------[-rwxr-xr-x]assh28
-rwxr-xr-x[l---------]shell28
l---------shelll2
l---------shells2
4 files changed, 30 insertions, 30 deletions
diff --git a/assh b/assh
index fb4c8b6..03e813f 100755..120000
--- a/assh
+++ b/assh
@@ -1,27 +1 @@
-#!/bin/bash
-#
-# simple autossh and screen wrapper
-#
-
-BASENAME="`basename $0`"
-DEST="$1"
-COMMAND="$2"
-
-if [ -z "$DEST" ]; then
- exit 1
-fi
-
-if [ "$BASENAME" == "asshs" ] || [ "$BASENAME" == "shells" ]; then
- # Remote screen shell using autossh
- if [ "$COMMAND" == "root" ]; then
- autossh $DEST -t -- sudo screen -x
- else
- autossh $DEST -t -- screen -x $COMMAND
- fi
-elif [ "$BASENAME" == "shelll" ]; then
- # Local screen shell
- wscreen $*
-else
- # Remote shell using autossh
- autossh $DEST -t -- $COMMAND
-fi
+shell \ No newline at end of file
diff --git a/shell b/shell
index daa19ce..fb4c8b6 120000..100755
--- a/shell
+++ b/shell
@@ -1 +1,27 @@
-assh \ No newline at end of file
+#!/bin/bash
+#
+# simple autossh and screen wrapper
+#
+
+BASENAME="`basename $0`"
+DEST="$1"
+COMMAND="$2"
+
+if [ -z "$DEST" ]; then
+ exit 1
+fi
+
+if [ "$BASENAME" == "asshs" ] || [ "$BASENAME" == "shells" ]; then
+ # Remote screen shell using autossh
+ if [ "$COMMAND" == "root" ]; then
+ autossh $DEST -t -- sudo screen -x
+ else
+ autossh $DEST -t -- screen -x $COMMAND
+ fi
+elif [ "$BASENAME" == "shelll" ]; then
+ # Local screen shell
+ wscreen $*
+else
+ # Remote shell using autossh
+ autossh $DEST -t -- $COMMAND
+fi
diff --git a/shelll b/shelll
index daa19ce..03e813f 120000
--- a/shelll
+++ b/shelll
@@ -1 +1 @@
-assh \ No newline at end of file
+shell \ No newline at end of file
diff --git a/shells b/shells
index daa19ce..03e813f 120000
--- a/shells
+++ b/shells
@@ -1 +1 @@
-assh \ No newline at end of file
+shell \ No newline at end of file